Page MenuHomePhabricator

When documents are indexed, record the indexer version (versus the object version) and index epoch
ClosedPublic

Authored by epriestley on Feb 16 2021, 11:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 11, 7:29 AM
Unknown Object (File)
Thu, Mar 28, 10:06 AM
Unknown Object (File)
Thu, Mar 21, 6:56 AM
Unknown Object (File)
Feb 8 2024, 4:46 PM
Unknown Object (File)
Jan 25 2024, 2:34 AM
Unknown Object (File)
Jan 17 2024, 12:35 AM
Unknown Object (File)
Jan 7 2024, 9:07 PM
Unknown Object (File)
Dec 28 2023, 3:02 PM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13587. D21495 has significant changes to the ngram indexer, which might possibly contain bugs.

Make it easier to reindex a subset of documents (based on the date when the index was built, and/or the software version which generated the index).

This is in addition to the existing versioning, which is focused on object versions.

Test Plan

Ran bin/search index with various old and new arguments. Spot-checked the IndexVersion table.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Feb 16 2021, 11:59 PM
  • Fix typos and bugs, test more "--type" flag values.
  • Correct "bin/index" -> "bin/search index".
This revision was not accepted when it landed; it landed in state Needs Review.Feb 17 2021, 12:09 AM
This revision was automatically updated to reflect the committed changes.